[API Reference](../README.md) > [VoteConfig](../interfaces/VoteConfig.md)



# Interface: VoteConfig


## Properties
<a id="onBehalfOf"></a>

### «Optional» onBehalfOf

**●  onBehalfOf**:  *[Address](../#Address)* 

*Defined in [commonTypes.ts:12](https://github.com/daostack/arc.js/blob/77005d4/lib/commonTypes.ts#L12)*



optional address of agent casting the vote.




___

<a id="proposalId"></a>

###  proposalId

**●  proposalId**:  *[Hash](../#Hash)* 

*Defined in [commonTypes.ts:16](https://github.com/daostack/arc.js/blob/77005d4/lib/commonTypes.ts#L16)*



unique hash of proposal index




___

<a id="vote"></a>

###  vote

**●  vote**:  *`number`* 

*Defined in [commonTypes.ts:20](https://github.com/daostack/arc.js/blob/77005d4/lib/commonTypes.ts#L20)*



the choice of vote. Can be 1 (YES) or 2 (NO).




___


